Skip to content
Structly Docs
한국어

stly

stly org

On this page

This page is generated from the public contract. Descriptions are shown in the original Korean.

stly org check-handle#

Organization handle 사용 가능 여부

  • HTTP request: GET /api/organization-handles/{handle}
  • Authentication modes: User session
  • Changes records: No

Arguments

  • handle: Organization handle

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: available, handle

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly org check-handle acme

stly org create#

Organization 생성

  • HTTP request: POST /api/organizations
  • Authentication modes: User session
  • Changes records: Yes
  • Input JSON (--input) required

Check the input JSON structure with stly schema org create.

Options

NameTypeRequiredDescription
--inputstringYesJSON 원문 파일 또는 stdin(-)
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, handle, id, name, role, verification_source, verification_status, verified_at

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly org create --input input.json

stly org handle#

Organization handle 조회

  • HTTP request: GET /api/organizations/{id}/handle
  • Authentication modes: User session
  • Changes records: No

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: handle

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly org handle 00000000001

stly org list#

소속 Organization 목록 조회

  • HTTP request: GET /api/me
  • Authentication modes: User session
  • Changes records: No

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: created_at, handle, id, name, role, verification_source, verification_status, verified_at

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly org list

stly org select#

현재 Organization 선택

  • HTTP request: PUT /api/me/current-organization
  • Authentication modes: User session
  • Changes records: Yes

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--fieldsstringNo응답 최상위 필드, 쉼표로 구분

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly org select 00000000001

stly org update-handle#

Organization handle 변경

  • HTTP request: PATCH /api/organizations/{id}/handle
  • Authentication modes: User session
  • Changes records: Yes
  • Input JSON (--input) required
  • --if-match required

Check the input JSON structure with stly schema org update-handle.

Arguments

  • id: ID

Options

NameTypeRequiredDescription
--if-matchstringYes상세 GET에서 얻은 단일 strong ETag
--inputstringYesJSON 원문 파일 또는 stdin(-)
--fieldsstringNo응답 최상위 필드, 쉼표로 구분
Values: handle

Common options: --server, --env-file, --timeout, --auth-mode, --dry-run

Example

stly org update-handle 00000000001 --input input.json --if-match '"상세 GET의 ETag"'